GET Application/GetAuthenticationResult?bearer={bearer}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| bearer | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AuthenticateResult| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
Required |
|
| FailureTitle | string |
Required |
|
| FailureMessage | string |
Required |
|
| SessionID | globally unique identifier |
Required |
|
| ServiceBaseUrl | string |
Required |
|
| ReplicationUrl | string |
Required |
|
| Action | SecurityAuthenticationAction |
Required |
|
| ContactPhoto | Photo |
None. |
|
| SecurityGroupPhoto | Photo |
None. |
|
| Contact | Contact |
None. |
|
| SecurityGroup | SecurityGroup |
None. |
|
| Role | Role |
None. |
|
| CompanyRole | CompanyRole |
None. |
|
| Workflow | Workflow |
None. |
|
| CompanyRoleRole | Role |
None. |
|
| Token | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"failureTitle": "sample string 2",
"failureMessage": "sample string 3",
"sessionID": "f6654a42-eee5-4c39-b825-57a2583512ff",
"serviceBaseUrl": "sample string 5",
"replicationUrl": "sample string 6",
"action": 0,
"contactPhoto": {
"$id": "1",
"id": "89f094ad-f98a-4364-aafa-c255ba283d84",
"photoImage": "QEA=",
"date": "2026-06-12T23:00:32.6433027+00:00",
"name": "sample string 2",
"notes": "sample string 3",
"isCompressed": true
},
"securityGroupPhoto": {
"$ref": "1"
},
"contact": {
"$id": "2",
"id": "5b758447-6d53-4a9f-8ae5-15b33a825374",
"firstName": "sample string 2",
"lastName": "sample string 3",
"name": "sample string 4",
"cellNumber": "sample string 5",
"workNumber": "sample string 6",
"homeNumber": "sample string 7",
"email": "sample string 8",
"physicalAddress": "sample string 9",
"postalAddress": "sample string 10",
"birthday": "2026-06-12T23:00:32.6433027+00:00",
"genderID": 1,
"contactStatusID": 1,
"photoID": "1a13e1bd-62a7-4dbc-94dd-c084ace5dcd3",
"externalCode": "sample string 11",
"latitude": 1.1,
"longitude": 1.1,
"idNumber": "sample string 12",
"passportNumber": "sample string 13",
"displayName": "sample string 14",
"useDisplayName": true,
"optOutNotification": true,
"createdByContactID": "6a234e28-6b63-464c-80c2-bee73fd95529",
"modifiedByContactID": "18ef50ce-0c50-4170-a8a2-855e43ef0a72",
"createdDate": "2026-06-12T23:00:32.6433027+00:00",
"modifiedDate": "2026-06-12T23:00:32.6433027+00:00"
},
"securityGroup": {
"$id": "3",
"id": "1cdde8a9-f869-41b4-b1a3-7d3091bc165e",
"name": "sample string 2",
"description": "sample string 3",
"logVerbosityID": 4,
"blockSyncMessage": "sample string 5",
"syncPollingMin": 6,
"isBlocked": true,
"isCommercialWorkflow": true,
"isDefault": true,
"photoID": "ea89d142-b146-45e6-853b-97a7c1e76bbf"
},
"role": {
"$id": "4",
"id": "a219d1d6-97be-44ef-bc93-3f30f41fe6dd",
"name": "sample string 2",
"description": "sample string 3",
"isSystemAdministrator": true,
"workflowID": "3aac298b-dc80-40f2-bfa2-614f1e4a6143",
"isGroupAdmin": true,
"workflow": {
"$id": "5",
"id": "9cbdabeb-343a-4f2c-9e5c-f17339b7cc75",
"parentID": "134a204b-20ac-4190-aace-0ea3c6d4d5e1",
"typeID": 2,
"name": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"active": true,
"caption": "sample string 7",
"iconName": "sample string 8",
"isMobile": true,
"alias": "sample string 10",
"notificationBadgeValueViewModel": "sample string 11",
"notificationBadgeBackgroundColour": "sample string 12",
"notificationBadgeTextColour": "sample string 13",
"isPercentageNotificationBadge": true,
"isVisible": true
}
},
"companyRole": {
"$id": "6",
"id": "a90a426d-ff2b-4827-a0f9-f40016ea259a",
"roleID": "329b61b7-ad73-472c-8c26-524e46d00d53",
"securityGroupID": "b9dc817e-e42e-4ee1-a60a-d9705f6f303c",
"workflowID": "d9b50e09-5695-4e3c-8345-24ea68ac9ce4",
"name": "sample string 5"
},
"workflow": {
"$ref": "5"
},
"companyRoleRole": {
"$ref": "4"
},
"token": "sample string 7"
}